using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using ZedGraph;

namespace NNmarket
{
    public partial class acw_nn : Form
    {
        public double[] errorList;
        public double[] indices;
        public double[] errorListtest;
        public acw_nn()
        {
            InitializeComponent();
        }

        private void acw_nn_Load(object sender, EventArgs e)
        {


        }

        public void InitGraphErr()
        {
            GraphPane myPane = zedBladSieci2.GraphPane;
            myPane.Title.Text = "";
            myPane.XAxis.Title.Text = "Cykl ucznia";
            myPane.YAxis.Title.Text = "Error";
            myPane.XAxis.Type = AxisType.LinearAsOrdinal;
            myPane.Chart.Fill = new Fill(Color.LightGray, Color.LightGray, 45.0f);
            myPane.Fill = new Fill(Color.Gray, Color.Gray, 45.0f);
            myPane.BarSettings.Type = BarType.Overlay;
            myPane.Legend.IsVisible = false;
            zedBladSieci2.AxisChange();
            LineItem errorCurve = new LineItem("Błąd sieci", indices, errorList, Color.Tomato, SymbolType.None, 1.5f);
            LineItem errorCurvetest = new LineItem("Błąd sieci test", indices, errorListtest, Color.Black, SymbolType.None, 1.5f);
            // zedBladSieci2.GraphPane.YAxis.Scale.Max = max;
            zedBladSieci2.GraphPane.CurveList.Add(errorCurve);
            zedBladSieci2.GraphPane.CurveList.Add(errorCurvetest);
            zedBladSieci2.Invalidate();
            zedBladSieci2.Refresh();
            zedBladSieci2.Invalidate();
            zedBladSieci2.AxisChange();    
        }

       
    }
}
